Subject: RCS 5.7 on gnuwin32 b. 18
From: [email-masked] ("Vassilii Khachaturov")

14 May 1997 17:45:55 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: gnu-win32 <[email-masked]>
Encoding: 89 TEXT
X-Mailer: Microsoft Mail V3.0
Original-Sender: [email-masked]

Has someone built RCS 5.7 on gnuwin32 b. 18 or another recent build?
I get the following diagnostics when I run make (after configure succeeds):

==================================================================
cd man && make all
make: Nothing to be done for `all'.
cd src && make all
rm -f a.*
ALL_CFLAGS=' -Dhas_conf_h  -I. -I. -g -O' \
CC='gcc' \
COMPAT2='0' \
DIFF3='/gnuwin32/b18/H-i386-cygwin32/bin/diff3' DIFF3_BIN='1' \
DIFF='/gnuwin32/b18/H-i386-cygwin32/bin/diff' DIFFFLAGS='-an' DIFF_L='1' \
DIFF_SUCCESS='0' \
DIFF_FAILURE='1' \
DIFF_TROUBLE='2' \
ED='ed' \
LDFLAGS='' LIBS='' \
RCSPREFIX='/usr/local/bin/' \
SENDMAIL='' \
/bin/sh -x ./conf.sh 3>&1 >a.h 2>conf.err
../conf.sh: testing permissions ... OK
../conf.sh: testing compiler for plausibility ... OK
../conf.sh: configuring exitmain ... OK
../conf.sh: configuring _POSIX_C_SOURCE ... OK
../conf.sh: configuring _POSIX_SOURCE ... OK
../conf.sh: configuring how to check for syntax errors ... gcc -Dhas_conf_h 
 -I. -I. -g -O -S
../conf.sh: configuring #include <sys/types.h> ... OK
../conf.sh: configuring #include <sys/stat.h> ... OK
../conf.sh: configuring #include <dirent.h> ... OK
../conf.sh: configuring #include <fcntl.h> ... OK
../conf.sh: configuring #include <limits.h> ... OK
../conf.sh: configuring #include <mach/mach.h> ... commenting it out
../conf.sh: configuring #include <net/errno.h> ... commenting it out
../conf.sh: configuring #include <pwd.h> ... OK
../conf.sh: configuring #include <siginfo.h> ... commenting it out
../conf.sh: configuring #include <signal.h> ... OK
../conf.sh: configuring #include <stdlib.h> ... OK
../conf.sh: configuring #include <string.h> ... OK
../conf.sh: configuring #include <sys/mman.h> ... OK
../conf.sh: configuring #include <sys/wait.h> ... OK
../conf.sh: configuring #include <ucontext.h> ... commenting it out
../conf.sh: configuring #include <unistd.h> ... OK
../conf.sh: configuring #include <utime.h> ... OK
../conf.sh: configuring #include <vfork.h> ... commenting it out
../conf.sh: configuring has_sys_param_h ... OK
../conf.sh: configuring errno ... OK
../conf.sh: configuring has_readlink, readlink_isreg_errno ... 1, EINVAL
../conf.sh: configuring mode_t ... OK
../conf.sh: configuring off_t ... OK
../conf.sh: configuring pid_t ... OK
../conf.sh: configuring sig_atomic_t ... OK
../conf.sh: configuring size_t ... OK
../conf.sh: configuring ssize_t ... OK
../conf.sh: configuring time_t ... OK
../conf.sh: configuring uid_t ... OK
../conf.sh: configuring const ... OK
../conf.sh: configuring volatile ... OK
../conf.sh: configuring has_prototypes, has_stdarg, has_varargs, 
va_start_args ...
1, 1, -1, 2
../conf.sh: configuring bad_chmod_close ... OK
../conf.sh: configuring bad_creat0 ... OK
../conf.sh: configuring bad_fopen_wplus ... OK
../conf.sh: configuring has_attribute_noreturn ... OK
../conf.sh: configuring has_dirent, void_closedir ... OK
../conf.sh: configuring has_fchmod ... does not work
../conf.sh: configuring has_fflush_input ... OK
../conf.sh: configuring has_fputs ... OK
../conf.sh: configuring has_ftruncate ... does not work
../conf.sh: configuring has_getuid ... OK
../conf.sh: configuring has_getpwuid ... does not work
../conf.sh: configuring has_kill ... OK
../conf.sh: configuring has_memcmp ... OK
../conf.sh: configuring has_memcpy ... OK
../conf.sh: configuring has_memmove ... OK
../conf.sh: configuring has_map_fd, has_mmap, has_madvise, mmap_signal ... 
make: *** [conf.h] Error 1
make: *** [all] Error 2
==================================================================

Thanks a lot in advance,
     vassilii
 --
[email-masked]
Vassilii Khachaturov
Skribu al mi per Esperanto!
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".